//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 


//Justglass
textures/math/justglass
{
	qer_editorimage textures/math/glass.tga
	qer_trans .8
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
        {
            map textures/math/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
}

//Fadeonglass
textures/Ap3text/fadeon
{
	qer_editorimage	textures/Ap3text/fadeon.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/Ap3text/fadeon.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.69 0.35 0 0.1
       
    }
    
}
textures/Ap3text/fadeonstyle
{
	qer_editorimage textures/Ap3text/fadeon.tga  
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	qer_trans 0.8
			 {
			 map textures/Ap3text/fadeon.tga       
	            rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			blendfunc GL_ONE GL_ONE
	         }
	
}

//Slickgrey
textures/math/slickgrey
{
    qer_editorimage textures/math/slickgrey.tga
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm slick
    cull disable
    qer_trans 0.5
    {
        map textures/math/slickgrey.tga
        blendfunc add
        tcGen environment 
    }
	
}

// Redmixglass
textures/Ap3text/redmix
{
qer_editorimage	textures/Ap3text/redmix.tga
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm detail
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm trans
	cull twosided
	
		{
		map textures/Ap3text/redmix.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
        }
		 {
			 map textures/Ap3text/fadeon.tga       
	            rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			blendfunc GL_ONE GL_ONE
	         }
}
textures/Ap3text/bluemix
{
qer_editorimage	textures/Ap3text/bluemix.tga
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm detail
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm trans
	cull twosided
	
		{
		map textures/Ap3text/bluemix.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
        }
		 {
			 map textures/Ap3text/fadeon.tga       
	            rgbGen wave sin 0.69 0.35 0 0.1
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			blendfunc GL_ONE GL_ONE
	         }
}
//Corehexglass
textures/Ap3text/corehex
{
	qer_editorimage	textures/Ap3text/corehex.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/Ap3text/corehex.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}

//TrimGlass
textures/Ap3text/trimgl
{
	qer_editorimage	textures/Ap3text/trim.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/Ap3text/trim.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}
textures/Ap3text/lfwallglass
{
	qer_editorimage	textures/Ap3text/lfwall10.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/Ap3text/lfwall10.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}

// Rainglass					  
textures/atextures/rainglass
{
	qer_editorimage textures/atextures/rainglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm nodamage
	cull disable
	{
		map textures/atextures/rainglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

// Orange Glass
textures/math/glass/orange
{
	surfaceparm nolightmap
	surfaceparm trans
	cull twosided
	qer_trans 0.5
	{
		map textures/math/glass/orange.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

// 	Plain glass.
textures/math/glass/plainglass
{
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm nodamage
	cull disable
	{
		map textures/math/glass/plainglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/math/glass/niut
{
	qer_editorimage textures/math/glass/nuitglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm nodamage
	cull disable
	{
		map textures/math/glass/nuitglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}



textures/math/glass/nuitglass_slick
{
	qer_editorimage textures/math/glass/nuitglass.tga
	surfaceparm nolightmap
	surfaceparm solid
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm nomarks
    surfaceparm trans
	surfaceparm slick
	qer_trans .75
	cull disable
	{
		map textures/math/glass/nuitglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/math/glass_slick_nodmg
{
        qer_editorimage textures/math/glass.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/math/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
		{
            map textures/math/platform.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

textures/math/acid_slick_nodmg
{
        qer_editorimage textures/math/glass.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/math/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
		{
            map textures/math/glass/acid.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}
